Subject: Re: [PATCH -V5 03/13] arch/powerpc: Convert virtual address to vpn

From: Paul Mackerras <[email-masked]>
Date: Wed, 1 Aug 2012 14:33:39 +1000

On Mon, Jul 30, 2012 at 04:52:09PM +0530, Aneesh Kumar K.V wrote:
> From: "Aneesh Kumar K.V" <[email-masked]>
> 
> This patch convert different functions to take virtual page number
> instead of virtual address. Virtual page number is virtual address
> shifted right by VPN_SHIFT (12) bits. This enable us to have an
> address range of upto 76 bits.

Mostly looks good.  I don't think it's necessary to add the
BUILD_BUG_ON and BUG_ON conditions.  I would think a comment next to
the definition saying that VPN_SHIFT can be at most 12 would be
sufficient.

Paul.